Prerequisites for IBM InfoSphere Content Collector 2.1.1

Product documentation


Abstract

This document provides details of the system requirements for IBM InfoSphere Content Collector Version 2.1.1.  

Content

Product requirements for IBM Content Collector

 

Legend
Supported Supported
Δ Added or changed information since the last fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, eServer xSeries, and BladeCenter servers.
X86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers

Hardware requirements

The following table contains the minimum and the recommended hardware requirements for IBM InfoSphere Content Collector.

Machine Hardware requirements Minimum Recommended
Content Collector Server
CPU 2-way x86 or x86-64 4-way x86 or x86-64
Processor speed 2 x 2 GHz 4 x 2 GHz or faster
System memory (RAM) 4 GB 8 GB
Hard disk Hard drive with sufficient capacity 2 enterprise class hard drives with 10000 rpm or better
Disk Space 150 GB for IBM InfoSphere Content Collector program package, prerequisite software, temporary data, and log information > 150 GB
Client workstations The hardware capacity of connected client workstations must be sufficient to run the supported client applications: For more information, see the client software documentation. N/A N/A

Note: Supported virtualization environments for IBM InfoSphere Content Collector are VMware ESX and ESXi 4.0.

Software requirements

Prerequisites for IBM InfoSphere Content Collector Server

The following table lists the operating system and other software that is required on the system where IBM InfoSphere Content Collector Server is installed.

Important:

  • On a 64-bit operating system, IBM InfoSphere Content Collector Server runs in 32-bit compatibility mode. Therefore, IBM InfoSphere Content Collector Server requires the 32-bit version of all software prerequisites.
  • For performance reasons, do not colocate the IBM InfoSphere Content Collector Server and the archive system on one server in a production environment. This setup can be used for testing or demonstration purposes, but it is not officially supported.
  • The server where IBM InfoSphere Content Collector is installed must not have the role of a domain controller.
One of the following operating systems (required) One or more of the following connectors (depending on the archive systems in use) Other software
(must be 32-bit)
Notes
  • Windows Server 2008 R2 Standard Edition (64-bit)
  • Windows Server 2008 R2 Enterprise Edition (64-bit)
  • Windows Server 2008 Standard Edition (32-bit or 64-bit) with Service Pack 2
  • Windows Server 2008 Enterprise Edition (32-bit or 64-bit) with Service Pack 2
  • Windows Server 2003 (32-bit or 64-bit) with Service Pack 2 or Release 2 on x86 or x86-64
  • Windows Server 2003 Enterprise Edition (32-bit or 64-bit) with Service Pack 2 or Release 2 on x86 or x86-64
  • DB2 Information Integrator for Content for IBM DB2 Content Manager 8.x repositories. See IBM DB2 Content Manager 8.x.
  • FileNet Content Engine Enterprise Manager SnapIn and Java client for IBM FileNet P8 4.0 repositories. See IBM FileNet P8.
  • Panagon Web Services 4.x and client libraries if IBM FileNet Image Services is used as a repository. See IBM FileNet P8.
Microsoft .NET Runtime 2.0 or 3.0
Microsoft Web Services Enhancements 3.0 with KB943508 Microsoft Web Services Enhancements 3.0 is only required for the P8 connector.
Microsoft Core XML Services 6.0 (required only for Windows Server 2003) Microsoft Core XML Services (MSXML) 6.0 is only required for the file system connector. The file system connector allows you to archive files (as opposed to e-mail) from a Windows file system.
Lotus Domino R8 server or Lotus Domino R7 (7.0.2 or higher) A Lotus Domino server is only required if you want to archive Lotus Notes documents. The server provides a Lotus Notes API for processing Lotus Notes documents.
Microsoft Outlook 2007 or Microsoft Outlook 2003 A Microsoft Outlook Client is only required if you want to archive e-mail from Microsoft Exchange servers. The Outlook client provides the Messaging API (MAPI) for e-mail processing.
Microsoft Windows DST update KB 955839 This update is only required if you are doing any conversion of dates to UTC.
OLE-DB and JDBC drivers The OLE-DB and JDBC drivers for the database management system for the Content Collector configuration database are required on the system where the IBM InfoSphere Content Collector Server is installed.

Database management system for the IBM InfoSphere Content Collector configuration database

The configuration database of IBM InfoSphere Content Collector can be created in the following database management systems:

Archive system (repository software) Possible database management systems for configuration database
IBM DB2 Content Manager Enterprise Edition 8.3 FP11
  • IBM DB2 8.2 Fix Pack 7a
IBM DB2 Content Manager Enterprise Edition 8.x
  • IBM DB2 9.1 Fix Pack 6
  • IBM DB2 9.5 Fix Pack 3
  • IBM DB2 9.7
IBM FileNet P8 4.01 FP10
  • IBM DB2 9.1 Fix Pack 6
  • IBM DB2 9.5 Fix Pack 3
  • IBM DB2 9.7
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11.0.6.x (minimum version: 11.0.6.21)
  • Microsoft SQL Server 2005
  • Microsoft SQL Server 2008
IBM FileNet P8 4.5 and 4.5.1
  • IBM DB2 9.1 Fix Pack 6
  • IBM DB2 9.5 Fix Pack 3
  • IBM DB2 9.7
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11.0.6.x (minimum version: 11.0.6.21)
  • Microsoft SQL Server 2005 SP1
  • Microsoft SQL Server 2008
IBM FileNet Image Services 4.0 and 4.1.2
  • IBM DB2 9.1 Fix Pack 6
  • IBM DB2 9.5 Fix Pack 3
  • IBM DB2 9.7
  • Oracle 10g 10.2.0.x (minimum version: 10.2.0.2)
  • Oracle 11.0.6.x (minimum version: 11.0.6.21)
  • Microsoft SQL Server 2005 SP1
  • Microsoft SQL Server 2008

Notes:

  • If the database management system server is installed on a different machine than the IBM InfoSphere Content Collector Server, you must install a database management system client on the IBM InfoSphere Content Collector Server machine. The IBM InfoSphere Content Collector Server requires the 32-bit version of the database management system client. IBM InfoSphere Content Collector does not support a local 64-bit configuration database.
  • The OLE-DB and JDBC drivers for the database management system for the Content Collector configuration database are required on the system where the IBM InfoSphere Content Collector Server is installed.

How to get:

Go to the IBM Support Portal at http://www.ibm.com/support and search for IBM DB2 Content Manager, IBM FileNet P8, or IBM DB2.
You can purchase Oracle from www.oracle.com and Microsoft SQL Server from www.microsoft.com.

Required version of IBM WebSphere Application Server

IBM InfoSphere Content Collector requires IBM WebSphere Application Server to run the configuration Web service and to perform search and restore operations. Normally, there is no need to check for compatible versions, because IBM InfoSphere Content Collector comes with an embedded version of WebSphere Application Server. However, if you decide not to use the embedded WebSphere Application Server, you can use an existing WebSphere Application Server. IBM InfoSphere Content Collector supports the base edition of IBM WebSphere Application Server for Windows, versions 6.1.0.17 (or later) or 7.0 (or later). The Network Deployment edition or editions for other operating systems are not supported.

How to get:

Go to the IBM Support Portal at http://www.ibm.com/support and search for WebSphere Application Server.

Prerequisites for collection source systems

Lotus Domino

The following table specifies the supported versions of Lotus Domino for Domino mail servers and the supported versions of Lotus Notes for Notes mail clients:

Server software Client software Other software requirements Notes
Δ
  • Lotus Domino R7.0.4
  • Lotus Domino R8.0.2
  • Lotus Domino R8.5
  • Lotus Domino R8.5.1
  • Lotus Notes R7.0.4 on Microsoft Windows
  • Lotus Notes R8.0.2 on Microsoft Windows
  • Lotus Notes R8.5 on Microsoft Windows and Mac OS X
  • Lotus Notes R8.5.1 on Microsoft Windows and Mac OS X
Microsoft Internet Explorer 7 or Mozilla Firefox 3.5 Lotus Domino R8.5.1, Lotus Notes R8.5.1 on Microsoft Windows and Mac OS X, and Lotus Notes R8.5 on Mac OS X are supported starting with IBM InfoSphere Content Collector V2.1.1.1.

Lotus Notes R8.5.1 Fix Pack 1 on Mac OS X is not supported. See
SPR # MDEN82WK77 for details. If you have Fix Pack 1 installed, upgrade to Fix Pack 2.

If you want to use the IBM InfoSphere Content Collector Offline Repository in Lotus Notes, Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package ATL Security Update is required on the workstation that runs the Lotus Notes client.

Offline repositories and collecting additional archiving information is not supported for Lotus Notes clients on Mac OS.
Δ
  • Lotus Domino R7.0.4
  • Lotus Domino R8.0.2
  • Lotus Domino R8.5
  • Lotus Domino R8.5.1
  • Lotus iNotes (formerly Lotus Domino Web Access)
Microsoft Internet Explorer 7 or Mozilla Firefox 3.5 Lotus iNotes must have been set up during setup of the Domino server.

For Lotus Domino R8.5.1 see the technote How to enable IBM InfoSphere Content Collector features on Lotus iNotes (Domino Web Access) 8.5.1 at http://www.ibm.com/support/docview.wss?rs=3613&uid=swg21415240

How to get:

Go to the IBM Support Portal at http://www.ibm.com/support and search for Lotus Domino.

Microsoft Exchange

Server

The following table specifies the supported versions of Microsoft Exchange Server:

Server software Notes
Δ
  • Microsoft Exchange Server 2003 with Service Pack 2
  • Microsoft Exchange Server 2003 Enterprise Edition with Service Pack 2
  • Microsoft Exchange Server 2007 with Service Pack 2
  • Microsoft Exchange Server 2007 Enterprise Edition with Service Pack 2
  • Microsoft Exchange Server 2010 Standard and Enterprise Edition
You must not install Microsoft Exchange Server on the IBM InfoSphere Content Collector machine on which Microsoft Outlook is installed.

Microsoft Exchange Server 2010 is supported starting with IBM InfoSphere Content Collector V2.1.1.2.

For Microsoft Exchange Server 2010, the option “all mailboxes on a server” is not a supported collection source for archiving.

Outlook Web Access 2010 is supported starting with IBM InfoSphere Content Collector V2.1.1.3.

How to get:
You can purchase Microsoft Exchange Server from www.microsoft.com.


Clients

IBM InfoSphere Content Collector Outlook Extension

Before you add the IBM InfoSphere Content Collector Outlook Extension to a client workstation, make sure that the required software is installed on that workstation:

Operating system Client application Other software requirements Notes
  • Windows 7 Professional (32-bit or 64-bit)
  • Windows 7 Ultimate (32-bit or 64-bit)
  • Windows Vista Business (32-bit) with Service Pack 2
  • Windows Vista Enterprise (32-bit) with Service Pack 2
  • Windows XP SP3 or later (32-bit)
  • Microsoft Outlook 2003
  • Microsoft Outlook 2007 SP2
  • Microsoft Outlook 2010 (32-bit)
  • .NET Framework 2.0 (or later)
  • Microsoft Internet Explorer 7 or Mozilla Firefox 3.5
You can install the IBM InfoSphere Content Collector Outlook Extension irrespective of the language in which Outlook is installed.

An Outlook logon profile containing the parameters for the connection to the Exchange server must exist.

IBM InfoSphere Content Collector Outlook Web Access

Outlook Web Access Extension

To install the IBM InfoSphere Content Collector Outlook Web Access Extension on the Exchange server, the following requirements must be met:

Operating system for Exchange Server (required) Exchange Server version (required) Other software requirements Notes
Windows Server 2003 SP2 Microsoft Exchange Server 2003 FP2 (or later) .NET Framework 2.0 (or later) The Outlook Web Access interface of Exchange Server must be enabled.
Windows 2008 SP2 Microsoft Exchange Server 2007 FP1 (or later) .NET Framework 2.0 (or later) The Outlook Web Access interface of Exchange Server must be enabled.

Outlook Web Access Service

Apart from the Outlook Web Access Extension that is installed on the Exchange server, the Outlook Web Access Service is installed on top of a Microsoft IIS Server. The following table lists the operating system and other requirements for the Outlook Web Access Service.

Operating system for the Outlook Web Access Service (required) Other software requirements
Windows Server 2003 SP2
Microsoft IIS Server 5.5 (or later)
.NET Framework 2.0 (or later)
Windows 2008 SP2
Microsoft IIS Server 5.5 (or later)
.NET Framework 2.0 (or later)

Notes:

  • The Web Service Extension ASP.NET v2.0.50727 must be set to Allowed in the Internet Information Service (IIS) Manager.
  • IBM InfoSphere Content Collector OWA Service does not support forms authentication in Microsoft IIS 7.0. You must disable this authentication method after the installation.

How to get:

You can purchase Microsoft IIS Server and .NET Framework from www.microsoft.com.


Outlook Web Access client

To be able to use the Outlook Web Access (OWA) functions, clients need the following software on their workstations:

Software prerequisites for OWA clients
.NET Framework 2.0 (or later)
Microsoft Internet Explorer 7

Restrictions:

  • Outlook Web Access is supported in Premium Mode only:
    • IBM InfoSphere Content Collector OWA support does not work with the Outlook Web Access 2003 Basic Client.
    • IBM InfoSphere Content Collector OWA support does not work with Outlook Web Access 2007 Light.
  • IBM InfoSphere Content Collector OWA support does not work with Outlook Web Access 2007 if the option "Use the blind and low vision experience" is used. You can deselect this option under "Options -> General Settings -> Accessibility".
  • IBM InfoSphere Content Collector OWA Service only supports the standard authentication methods "Integrated Windows authentication" (NTLM) and "Basic authentication" for the afuowa directory, which allows users to access IBM InfoSphere Content Collector OWA functions.
    • IBM InfoSphere Content Collector OWA support does not work if the standard authentication method "Digest authentication for Windows domain servers" or ".NET Passport authentication" is selected for the directory afuowa.
    • IBM InfoSphere Content Collector OWA Service does not support forms authentication in Microsoft IIS 7.0. You must disable this authentication method after the installation.
  • IBM InfoSphere Content Collector OWA Service supports the authentication methods "Basic authentication", "Integrated Windows authentication" (NTLM) and "Forms-based authentication (FBA)" for the directories that are used to access Microsoft Exchange Server by IBM InfoSphere Content Collector OWA Service. For Microsoft Exchange Server 2003, this is the Exchange directory. For Microsoft Exchange Server 2007, this is the OWA directory.
    • IBM InfoSphere Content Collector OWA Service does not work if the standard authentication method "Digest authentication for Windows domain servers" or ".NET Passport authentication" is selected for these directories (Exchange or OWA).

Microsoft SharePoint

The following table specifies the supported versions of Microsoft SharePoint.

Server software Client software
  • Microsoft Office SharePoint Server 2007 with Service Pack 2
  • Microsoft Windows SharePoint Services 3.0 with Service Pack 2

  • Internet Explorer 7 on Microsoft Windows
    With Kerberos authentication, this is the only browser that is supported.
  • Mozilla Firefox 3.0

Notes:

If FileNet P8 is your target repository, the following considerations apply:
Additional software requirements for the SharePoint Server:

  • Install Microsoft Web Services Enhancements 3.0
  • Install the IBM FileNet Content Engine's .NET Clients by using the FileNet P8 Content Engine installer.

The Fix Pack level of the SharePoint Server's Content Engine .NET Clients should match the Fix Pack level of the Content Engine server's .NET Clients.

SharePoint client authentication options:

  • Kerberos authentication is the default authentication option.
    The FileNet P8 Content Engine and Microsoft SharePoint systems must be configured for Kerberos authentication. Internet Explorer is the only browser supported with Kerberos authentication.
  • Collocation with IBM FileNet Connector for SharePoint Web Parts V2.2.1.
    The authentication option that is configured for the IBM FileNet Connector for SharePoint Web Parts is used. This can be Kerberos authentication or a credential store.

How to get:

You can acquire Microsoft SharePoint from www.microsoft.com.

Prerequisites for archive servers

IBM DB2 Content Manager 8.x

The following table specifies the supported operating systems and the connector that is required on the IBM InfoSphere Content Collector Server:

Archive system (repository software) Operating system Required connector on IBM InfoSphere Content Collector Server Notes
AIX
Linux
Solaris
Windows
z/OS
IBM DB2 Content Manager Enterprise Edition V8.3 (formerly called DB2 Content Manager for Multiplatforms) with Fix Pack 8 using the following database management system:
  • IBM DB2 V8.2 with Fix Pack 10 or later
Supported on AIX Supported on Solaris Supported on Windows DB2 Information Integrator for Content V8.4 Use Setup Type Connector.
Δ IBM DB2 Content Manager Enterprise Edition V8.4, V8.4.1, and V8.4.2 using the following database management system:
  • IBM DB2 V9
Supported on AIX Supported  on Linux(*) Supported on Solaris Supported on Windows
IBM DB2 Content Manager for z/OS Version V8.4, V8.4.1, and V8.4.2 Supported on z/OS DB2 Information Integrator for Content V8.4 IBM DB2 Content Manager for z/OS can be used as a repository for files only. It is not suitable for e-mail. Text search is not supported.

Important:

(*) Support for DB2 Content Manager V8.4 on Linux requires

  • Linux 32-bit system on Intel platform or Linux for zSeries (Linux for zSeries is supported starting with IBM InfoSphere Content Collector V2.1.1.1)
  • DB2 Content Manager V8.4.1 FP1

How to get:

Go to the IBM Support Portal at http://www.ibm.com/support and search for IBM DB2 Content Manager.
DB2 Information Integrator for Content is included in Content Manager Enterprise Edition.



Text-search function

To enable he text-search function (full-text search) for Content Manager archive system, the IBM InfoSphere Content Collector indexer for text search must be installed. The indexer for text search requires the following software:

Archive Server Content Manager operating system and fix pack Information Integrator for Content Net Search Extender
The required version depends on the version of DB2 that is used by DB2 Content Manager 8.x.
Additional Net Search Extender e-fixes (required) Notes
IBM DB2 Content Manager Enterprise Edition V8.3 AIX FP10 DB2 Information Integrator for Content V8.4 AIX IBM Net Search Extender 8.2 with fix pack 15 for DB2 V8.2 Install IBM Net Search Extender on the DB2 Content Manager 8.x library server.

Install DB2 Information Integrator on the
IBM InfoSphere Content Collector Server machine.

Install Net Search Extender fix packs and e-fixes on the archive server.
Solaris FP10 Solaris
Windows FP10 Windows IBM Net Search Extender 8.2 with fix pack 14 for DB2 V8.2
IBM DB2 Content Manager Enterprise Edition V8.4 AIX No fix pack required DB2 Information Integrator for Content V8.4 AIX IBM Net Search Extender 9.1 with fix pack 3 for DB2 V9.1
Solaris
Solaris Linux/zLinux
Windows
Linux/zLinux AIX IBM Net Search Extender 9.5 for DB2 V9.5 Windows IC58821
IP22989
Solaris
Windows Linux/zLinux
Windows

Notes:

  • On Solaris, the indexer for text search for DB2 Content Manager V8.x requires the iconv package.
  • The table provides direct links to Web sites containing information about the prerequisites for DB2 Content Manager fix packs and Net Search Extender e-fixes.

How to get:

You can download the DB2 Content Manager fix packs and Net Search Extender e-fixes from the following Web sites:

IBM FileNet P8

The following table specifies the supported operating systems and the FileNet APIs that are required on the IBM InfoSphere Content Collector Server:

Archive system (repository software) Operating system Required APIs on IBM InfoSphere Content Collector Server Notes
AIX
HP-UX
Linux
Solaris
Windows
IBM FileNet P8 Content Engine 4.0.1 with Fix Pack 10 using one of the following database management systems:
  • IBM DB2 V9
  • Oracle 10
  • Oracle 11.0.6.21 or later
  • Microsoft SQL Server 2005
  • Microsoft SQL Server 2008
Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows .NET Clients The .NET Clients component and the Java Clients component are provided through the FileNet P8 Content Engine installer.
Java Clients
IBM FileNet P8 Content Engine 4.5 and 4.5.1 using one of the following database management systems:
  • IBM DB2 V9
  • Oracle 10
  • Oracle 11.0.6.21 or later
  • Microsoft SQL Server 2005
  • Microsoft SQL Server 2008
Supported on AIX Supported on HP-UX Supported  on Linux Supported on Solaris Supported on Windows .NET Clients The .NET Clients component is provided through the FileNet P8 Content Engine installer.
Java Clients For FileNet P8 Content Engine 4.5.x, the Java Clients component is not part of the main server installer. You must run the FileNet P8 Content Engine 4.5.0 client installer first and then update it with the Content Engine 4.5.1 client installer.
IBM FileNet Image Services 4.0 and 4.1.2 Supported on AIX Supported on HP-UX Supported on Solaris Supported on Windows IBM FileNet Image Services can only be used as a repository for files. It is not suitable for e-mail. Text search and retrieving archived content through stub links is not supported.

Important:
The Fix Pack level of the IBM InfoSphere Content Collector Server's Content Engine should match the Fix Pack level of the Content Engine server, for both the .NET Clients and the Java Clients components.

How to get:
Go to the IBM Support Portal at http://www.ibm.com/support and search for FileNet P8.

Text-search function

The text-search function (full-text search) for FileNet archive systems requires Autonomy IDOL K2.

Prerequisites for IBM InfoSphere Content Collector Legacy Restore

The following table specifies the supported operating systems for IBM InfoSphere Content Collector Legacy Restore:

Operating system Service Pack/Release
Windows Server 2008 Standard Edition (32-bit)
Windows Server 2008 Enterprise Edition (32-bit)
Windows Server 2003 Standard Edition (32-bit) SP2
R2
Windows Server 2003 Enterprise Edition (32-bit) SP2
R2

Optional Software

The following table specifies the software that is required if you want to use optional functions of IBM InfoSphere Content Collector:

Function Software
Use IBM InfoSphere Classification Module to classify documents IBM InfoSphere Classification Module 8.6 or 8.7
Declare records against documents in a FileNet P8 archive system IBM InfoSphere Enterprise Records V4.5.0 (formerly IBM FileNet Records Manager)

How to get:

Go to the IBM Support Portal at http://www.ibm.com/support and search for IBM InfoSphere Classification Module and IBM InfoSphere Enterprise Records.




Change history

History Date Change
Release 13 Oct 2009
Update 03 Feb 2010 II4C, WebSphere Application Server, FileNet
Update 14 May 2010 Fix Pack 2 release
Update 22 Nov 2010 Fix Pack 3 release, clarifications

Rate this page:

(0 users)Average rating

Document information


More support for:

Content Collector
All Content Collector products

Software version:

2.1.1

Operating system(s):

Windows 2003 server, Windows 2008, Windows Vista, Windows XP

Reference #:

7016442

Modified date:

2012-05-23

Translate my page

Machine Translation

Content navigation